Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1600441 - [DOCS] Pod Anti Affinity Docs are inconsistent
Summary: [DOCS] Pod Anti Affinity Docs are inconsistent
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: ---
Assignee: Michael Burke
QA Contact: weiwei jiang
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-12 09:05 UTC by Stuart Auchterlonie
Modified: 2018-07-31 18:37 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-31 18:37:56 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Stuart Auchterlonie 2018-07-12 09:05:10 UTC
Document URL: 

[1] - https://docs.openshift.com/container-platform/3.9/admin_guide/manage_nodes.html#pod-anti-affinity

[2] - https://docs.openshift.com/container-platform/3.9/admin_guide/scheduling/pod_affinity.html

Section Number and Name: 

As above.

Describe the issue: 

In [1] we specify that pod anti-affinity should be defined by:

~~~
metadata:
      annotations:
        scheduler.alpha.kubernetes.io/affinity: |
          {
            "podAntiAffinity": {
~~~

In [2] we specify that pod anti-affinity should be defined by:

~~~
spec:
  affinity:
    podAntiAffinity: 
      preferredDuringSchedulingIgnoredDuringExecution: 
~~~

Suggestions for improvement: 

The instructions in [2] work, those in [1] do not.

Additional information:

Comment 5 Avesh Agarwal 2018-07-19 16:35:56 UTC
(In reply to Stuart Auchterlonie from comment #0)
> Document URL: 
> 
> [1] -
> https://docs.openshift.com/container-platform/3.9/admin_guide/manage_nodes.
> html#pod-anti-affinity
> 
> [2] -
> https://docs.openshift.com/container-platform/3.9/admin_guide/scheduling/
> pod_affinity.html
> 
> Section Number and Name: 
> 
> As above.
> 
> Describe the issue: 
> 
> In [1] we specify that pod anti-affinity should be defined by:
> 
> ~~~
> metadata:
>       annotations:
>         scheduler.alpha.kubernetes.io/affinity: |
>           {
>             "podAntiAffinity": {
> ~~~
> 
> In [2] we specify that pod anti-affinity should be defined by:
> 
> ~~~
> spec:
>   affinity:
>     podAntiAffinity: 
>       preferredDuringSchedulingIgnoredDuringExecution: 
> ~~~
> 
> Suggestions for improvement: 
> 
> The instructions in [2] work, those in [1] do not.
> 
> Additional information:

Yes its been several releases now since those configurations have been changed from annotations to pod spec fields. Thats why 1 does not work whereas 2 works.

Comment 6 Michael Burke 2018-07-19 19:51:42 UTC
Removed the DC example from Manage Nodes and added Pod Config from Pod Affinity topic. Is this change appropriate?
https://github.com/openshift/openshift-docs/pull/10914

Comment 7 weiwei jiang 2018-07-20 03:33:54 UTC
Checked on v3.10.18 and LGTM


Note You need to log in before you can comment on or make changes to this bug.